#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Kdenlive-20.12.2

- Next

  Khelpcenter-20.12.2

- Up
- Home

# KMix-20.12.2

## Introduction to KMix

The KMix package contains a KF5 based Sound Mixer application.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/20.12.2/src/kmix-20.12.2.tar.xz

- Download MD5 sum: 342a0b541b3b5c6811e1e3c5a00d1aa4

- Download size: 1.1 MB

- Estimated disk space required: 20 MB

- Estimated build time: 0.3 SBU (using parallelism=4)

### KMix Dependencies

#### Required

KDE Frameworks-5.79.0

#### Recommended

alsa-lib-1.2.4

#### Optional

libcanberra-0.30 and PulseAudio-14.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/kmix5

## Installation of KMix

Install KMix by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kmix, kmixctrl, and kmixremote
Installed Libraries: libkmixcore.so
Installed Directories: $KF5_PREFIX/share/kmix, $KF5_PREFIX/share/kxmlgui5/kmix, and $KF5_PREFIX/share/doc/HTML/*/kmix

### Short Descriptions

kmix | is a mini audio mixer for kde
kmixctrl | is used to save or restore the settings of kmix
kmixremote | is a utility to mute, get and set volume levels

Last updated on 2021-02-24 06:51:33 -0800

- Prev

  Kdenlive-20.12.2

- Next

  Khelpcenter-20.12.2

- Up
- Home